# Interface IContextInformationValidator

All Known Subinterfaces:
  `ISubjectControlContextInformationValidator`

All Known Implementing Classes:
  `ContextInformationValidator, SubjectControlContextInformationValidator`

public interface IContextInformationValidator
A context information validator is used to determine if a displayed context information is still valid or should be dismissed.

The interface can be implemented by clients.

See Also:
  - `IContextInformationPresenter`

## Method Summary

Modifier and Type
Method
Description
`void`
`install(IContextInformation info, ITextViewer viewer, int offset)`
Installs this validator for the given context information.
`boolean`
`isContextInformationValid(int offset)`
Returns whether the information this validator is installed on is still valid at the given document position.

## Method Details

### install

void install(IContextInformation info, ITextViewer viewer, int offset)
Installs this validator for the given context information.

Parameters:
  `info` - the context information which this validator should check
  `viewer` - the text viewer on which the information is presented
  `offset` - the document offset for which the information has been computed

### isContextInformationValid

boolean isContextInformationValid(int offset)
Returns whether the information this validator is installed on is still valid at the given document position.

Parameters:
  `offset` - the current offset within the document
Returns:
  `true` if the information also valid at the given document position